ru.bitel.bgbilling.modules.voice.api.common.service

## Interface VoiceZoneService

-     public interface VoiceZoneService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchResult<VoiceZone>` | `searchVoiceZone(java.lang.String[] sort, Page page)`
    `int` | `voiceZoneDelete(int accountTypeId)`
    `VoiceZone` | `voiceZoneGet(int accountTypeId)`
    `java.util.List<VoiceZone>` | `voiceZoneList()`
    `int` | `voiceZoneUpdate(VoiceZone accountType)`

- - ### Method Detail

    - #### searchVoiceZone

          SearchResult<VoiceZone> searchVoiceZone(java.lang.String[] sort,
                                                  Page page)
                                           throws ru.bitel.bgbilling.common.BGException,
                                                  ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### voiceZoneList

          java.util.List<VoiceZone> voiceZoneList()
                                           throws ru.bitel.bgbilling.common.BGException,
                                                  ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### voiceZoneGet

          VoiceZone voiceZoneGet(int accountTypeId)
                          throws ru.bitel.bgbilling.common.BGException,
                                 ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### voiceZoneUpdate

          int voiceZoneUpdate(VoiceZone accountType)
                       throws ru.bitel.bgbilling.common.BGException,
                              ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### voiceZoneDelete

          int voiceZoneDelete(int accountTypeId)
                       throws ru.bitel.bgbilling.common.BGException,
                              ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`